import { INodeType, INodeTypeBaseDescription, INodeTypeDescription } from 'n8n-workflow';
export declare class Browserless implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions?: {
            [key: string]: (this: import("n8n-workflow").ILoadOptionsFunctions) => Promise<import("n8n-workflow").INodePropertyOptions[]>;
        };
        listSearch?: {
            [key: string]: (this: import("n8n-workflow").ILoadOptionsFunctions, filter?: string, paginationToken?: string) => Promise<import("n8n-workflow").INodeListSearchResult>;
        };
        credentialTest?: {
            [functionName: string]: import("n8n-workflow").ICredentialTestFunction;
        };
        resourceMapping?: {
            [functionName: string]: (this: import("n8n-workflow").ILoadOptionsFunctions) => Promise<import("n8n-workflow").ResourceMapperFields>;
        };
    } | undefined;
    constructor(baseDescription: INodeTypeBaseDescription);
}
