"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.methods = exports.properties = exports.rawProperties = exports.name = void 0;
const hooks_1 = require("./hooks");
const unblock = __importStar(require("./unblock"));
const pdf = __importStar(require("./pdf"));
const screenshot = __importStar(require("./screenshot"));
const content = __importStar(require("./content"));
const download = __importStar(require("./download"));
const execute = __importStar(require("./execute"));
const performance = __importStar(require("./performance"));
const scrape = __importStar(require("./scrape"));
const operations = [
    unblock.option,
    pdf.option,
    screenshot.option,
    content.option,
    download.option,
    execute.option,
    performance.option,
    scrape.option,
];
exports.name = 'Browser Rest Apis';
const operationSelect = {
    displayName: 'Operation',
    name: 'operation',
    type: 'options',
    noDataExpression: true,
    displayOptions: {
        show: {
            resource: ['Browser Rest Apis'],
        },
    },
    default: '',
};
operationSelect.options = operations;
operationSelect.default = operations.length > 0 ? operations[0].value : '';
exports.rawProperties = [
    operationSelect,
    ...unblock.properties,
    ...pdf.properties,
    ...screenshot.properties,
    ...content.properties,
    ...download.properties,
    ...execute.properties,
    ...performance.properties,
    ...scrape.properties,
];
const { properties, methods } = (0, hooks_1.runHooks)(exports.rawProperties);
exports.properties = properties;
exports.methods = methods;
//# sourceMappingURL=index.js.map