"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.properties = exports.option = exports.name = void 0;
const properties_1 = require("./properties");
const hooks_1 = require("./hooks");
exports.name = 'Performance';
const rawOption = {
    name: 'Performance',
    value: 'Performance',
    action: 'Performance',
    description: 'Run lighthouse performance audits with a supplied "url" in your JSON payload',
    routing: {
        request: {
            method: 'POST',
            url: '=/performance',
        },
    },
};
const { properties, option } = (0, hooks_1.runHooks)(rawOption, properties_1.properties);
exports.properties = properties;
exports.option = option;
//# sourceMappingURL=index.js.map