import { INodeProperties } from 'n8n-workflow';
declare const properties: INodeProperties[];
declare const methods: {
    loadOptions?: {
        [key: string]: (this: import("n8n-workflow").ILoadOptionsFunctions) => Promise<import("n8n-workflow").INodePropertyOptions[]>;
    };
    listSearch?: {
        [key: string]: (this: import("n8n-workflow").ILoadOptionsFunctions, filter?: string, paginationToken?: string) => Promise<import("n8n-workflow").INodeListSearchResult>;
    };
    credentialTest?: {
        [functionName: string]: import("n8n-workflow").ICredentialTestFunction;
    };
    resourceMapping?: {
        [functionName: string]: (this: import("n8n-workflow").ILoadOptionsFunctions) => Promise<import("n8n-workflow").ResourceMapperFields>;
    };
} | undefined;
export { properties, methods };
